translations = {
    loading: {en: "Loading",
              es: "Cargando",
              fr: "Chargement",
              it: "Caricamento in corso",
              de: "Wird geladen",
              nl: "Laden ...",
              pt: "Carregando",
              se: "Laddar",
              tr: "Yükleniyor",
              gr: "Φόρτωση"},
    
    reload: { en: "Reload",
              es: "Volver a cargar",
              fr: "Rafraîchir",
              it: "Ricarica",
              de: "Neu laden",
              nl: "Opnieuw laden",
              pt: "Carregar novamente",
              se: "Uppdatera",
              tr: "Yeniden yükle",
              gr: "επαναφόρτωση"},
    
    offline: {en: "You are offline",
              es: "No hay conexión a Internet",
              fr: "Vous êtes hors ligne",
              it: "Siete offline",
              de: "Sie sind offline.",
              nl: "Je bent offline",
              pt: "Você está offline",
              se: "Du är offline",
              tr: "Çevrimdışısınız",
              gr: "Δεν υπάρχει σύνδεση στο Ίντερνετ"},
    
    offlineMsg: {
              en: "Please try again when you're connected to the Internet",
              es: "Vuelva a intentarlo cuando disponga de conexión a Internet.",
              fr: "Réessayez quand votre connexion à Internet sera rétablie",
              it: "Riprovate più tardi quando sarete connessi a Internet",
              de: "Bitte versuchen Sie es erneut, wenn Sie mit dem Internet verbunden sind.",
              nl: "Probeer het nogmaals als je weer verbonden bent met internet",
              pt: "Tente novamente quando estiver conectado à Internet",
              se: "Kontrollera att du har en anslutning till internet och försök igen",
              tr: "Lütfen internet bağlantınız olduğunda tekrar deneyin",
              gr: "Δοκιμάστε ξανά όταν θα υπάρχει σύνδεση στο Ίντερνετ"}    
};

getTranslation = function(key, lang) {
  var allTranslations = translations[key];
  if(allTranslations) {
      var translation = allTranslations[lang];
      if(!translation) {
          // default to english
          translation = allTranslations['en'];
      }
      if(translation) return translation;
  }  
  return '';
};
